# Verification state change

Triggered when the verification state of a connected profile changes.
A profile's *verification state* can be `verified` or `not_verified`.
- If the state is `verified`, then the user is ready to make payments using Wise.
- If the state is `not_verified`, then we advise not to initiate any transfers with the user's access token as the payments will not be processed until the verification is completed.

* Event type: `profiles#verification-state-change`
* Profile level subscriptions: Not Supported
* Application level subscriptions: Supported

Events may not be delivered in the order they occurred. Use `data.occurred_at` to reconcile the order.
See the [Event ordering guide](/guides/developer/webhooks/event-ordering) for details.
See the [Webhooks guide](/guides/developer/webhooks) for setup instructions, signature verification, and best practices.

Endpoint: POST profiles#verification-state-change

## Header parameters:

  - `X-Signature-SHA256` (string)
    RSA-SHA256 signature of the request body, Base64 encoded. Verify this against the [Wise public key](/guides/developer/webhooks/event-handling#requests) to ensure the request is authentic and has not been tampered with.

  - `X-Delivery-Id` (string)
    Unique identifier for this webhook delivery attempt.

  - `X-Test-Notification` (boolean)
    Present with the value `true` if this is a test notification sent to verify your callback URL during subscription setup.

## Request fields (application/json):

  - `schema_version` (string)
    Version of the event schema. Determined by the `schema_version` on your [webhook subscription](/api-reference/legacy/webhook).
    Enum: "4.0.0"

  - `subscription_id` (string)
    ID of the webhook subscription that triggered this event.
    Example: 01234567-89ab-cdef-0123-456789abcdef

  - `event_type` (string)
    Event type identifier
    Example: profiles#verification-state-change

  - `sent_at` (string)
    Timestamp when the event was sent.
    Example: 2020-01-01T12:34:56.123Z

  - `data` (object)

  - `data.resource` (object)

  - `data.resource.type` (string)
    Resource type (always `profile`).
    Example: profile

  - `data.resource.id` (integer)
    ID of the profile.
    Example: 111

  - `data.current_state` (string)
    Current verification state of the profile.
    Enum: "verified", "not_verified"

  - `data.occurred_at` (string)
    When the verification state change occurred.
    Example: 2020-01-01T12:34:56.789Z

  - `subscription_id` (string)
    ID of the webhook subscription that triggered this event
    Example: 01234567-89ab-cdef-0123-456789abcdef

  - `sent_at` (string)
    Timestamp when the event was sent
    Example: 2020-01-01T12:34:56Z

## Response 200 fields (application/json):

  - `status` (string)
    Example: ok

